2019-03-26 21:20 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002389NetSurfLayoutpublic2016-02-16 13:52
ReporterBernard Boase 
Assigned ToMichael Drake 
SeveritycrashReproducibilityalways 
StatusclosedResolutionfixed 
Product Version3.4 
Target Version3.4Fixed in Version3.4 
Summary0002389: Crash on Code Club page
DescriptionAttempts to load https://codeclubprojects.org/en-GB/scratch/rock-band crash both Netsurf 3 and 3.4(#3059) on Iyonix (5.22).
 
Page loads OK using Netsurf 3.4 (#3021) on ARMX6 (5.23 11-Oct-15)

SharedUnixLibrary 1.14 loaded in both cases.

Error log attached.
TagsNo tags attached.
Fixed in CI build #
Reported in CI build #3383
URL of problem pagehttps://codeclubprojects.org/en-GB/scratch/rock-band/
Attached Files
  • txt file icon Log.txt (68,856 bytes) 2015-11-11 17:58 -
    (0.000000) utils/log.c:101 nslog_init: NetSurf version '3.4 (Dev CI #3059)'
    (0.000000) utils/log.c:110 nslog_init: NetSurf on <RISC OS>, node <Iyonix.boase>, release <5.22>, version <1.0>, machine <armv5l>
    (0.000000) utils/nsoption.c:625 nsoption_read: Successfully opened 'NetSurf:Choices' for Options file
    (0.020000) utils/messages.c:188 messages_add_from_file: Loading Messages from 'NetSurf:Resources.en.Messages'
    (0.070000) image/image_cache.c:378 image_cache_init: Image cache initilised with a limit of 10511974 hysteresis of 2102394
    (0.070000) render/html_css_fetcher.c:64 html_css_fetcher_initialise: html_css_fetcher_initialise called for x-ns-css
    (0.070000) content/fetchers/curl.c:1285 fetch_curl_register: curl_version libcurl/7.42.0 OpenSSL/1.0.1p zlib/1.2.8 c-ares/1.10.0
    (0.110000) utils/useragent.c:68 user_agent_build_string: Built user agent "NetSurf/3.4 (RISC OS)"
    (0.110000) content/fetchers/curl.c:1355 fetch_curl_register: ca_bundle: 'NetSurf:Resources.ca-bundle'
    (0.110000) content/fetchers/curl.c:1371 fetch_curl_register: cURL linked against openssl
    (0.110000) content/fetchers/curl.c:115 fetch_curl_initialise: Initialise cURL fetcher for http
    (0.110000) content/fetchers/curl.c:115 fetch_curl_initialise: Initialise cURL fetcher for https
    (0.110000) content/fetchers/data.c:65 fetch_data_initialise: fetch_data_initialise called for data
    (0.110000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for adblock.css
    (0.110000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for default.css
    (0.120000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for internal.css
    (0.120000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for quirks.css
    (0.120000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for user.css
    (0.120000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for credits.html
    (0.120000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for licence.html
    (0.120000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for welcome.html
    (0.120000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for maps.html
    (0.120000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for favicon.ico
    (0.120000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for default.ico
    (0.120000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for netsurf.png
    (0.120000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for icons/arrow-l.png
    (0.120000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for icons/content.png
    (0.120000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for icons/directory.png
    (0.120000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for icons/directory2.png
    (0.120000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for icons/hotlist-add.png
    (0.120000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for icons/hotlist-rmv.png
    (0.120000) content/fetchers/resource.c:294 fetch_resource_initialise: redirect url for icons/search.png
    (0.120000) content/llcache.c:3327 llcache_initialise: llcache initialising with a limit of 31535923 bytes
    (0.120000) utils/messages.c:188 messages_add_from_file: Loading Messages from 'NetSurf:Resources.LangNames'
    (0.190000) utils/filename.c:186 filename_initialise: Creating "<Wimp$ScrapDir>"
    (0.190000) utils/filename.c:186 filename_initialise: Creating "<Wimp$ScrapDir>/WWW"
    (0.190000) utils/filename.c:186 filename_initialise: Creating "<Wimp$ScrapDir>/WWW/NetSurf"
    (0.190000) utils/filename.c:198 filename_initialise: Temporary directory location: <Wimp$ScrapDir>/WWW/NetSurf/Misc
    (0.230000) content/urldb.c:2495 urldb_load: Loading URL file NetSurf:URL
    (0.250000) content/urldb.c:2670 urldb_load: Successfully loaded URL file
    (0.300000) riscos/font.c:82 nsfont_init: Initialise RUfl
    (2.860000) riscos/font.c:92 nsfont_init: RUfl initialised
    (2.860000) riscos/font.c:563 ro_gui_wimp_desktop_font: desktop font "Homerton.Medium"
    (2.860000) riscos/font.c:579 ro_gui_wimp_desktop_font: family "Homerton", size 192, style 5
    (2.870000) desktop/treeview.c:3953 treeview_init: Initialising treeview module
    (2.880000) desktop/treeview.c:3975 treeview_init: Initialised treeview module
    (2.1000000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x202bfe99
    (2.1000000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x202c1c99
    (3.010000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20af9cd9
    (3.010000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b0c2b9
    (3.020000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b0d979
    (3.020000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b0ff79
    (3.020000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b30e79
    (3.020000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b31139
    (3.020000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b31899
    (3.020000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b31759
    (3.020000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b32259
    (3.020000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b361d9
    (3.030000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b630f9
    (3.030000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0xfffffffe
    (3.030000) riscos/gui.c:1074 ro_gui_check_resolvers: Inet$Resolvers '192.168.0.1 158.152.1.58 158.152.1.43'
    (3.030000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b68a59
    (3.040000) desktop/hotlist.c:1231 hotlist_init: Loading hotlist
    (3.050000) desktop/hotlist.c:1268 hotlist_init: Loaded hotlist
    (3.050000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b36bb9
    (3.050000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b6f499
    (3.050000) desktop/global_history.c:725 global_history_init: Loading global history
    (3.060000) desktop/global_history.c:781 global_history_init: Loaded global history
    (3.060000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b37519
    (3.070000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b6fbb9
    (3.070000) desktop/cookie_manager.c:759 cookie_manager_init: Generating cookie manager data
    (3.100000) desktop/cookie_manager.c:796 cookie_manager_init: Generated cookie manager data
    (3.100000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b37c59
    (3.100000) javascript/duktape/dukky.c:323 js_newcontext: Creating new duktape javascript context
    (3.200000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b70719
    (3.200000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b71e19
    (3.200000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b72039
    (3.200000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x20b6fa79
    (3.210000) desktop/browser.c:1936 browser_window_navigate: bw 0x827210f0, url http://localhost/
    (3.210000) desktop/browser.c:2035 browser_window_navigate: Loading 'http://localhost/'
    (3.210000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (3.210000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x82780140, url 'http://localhost/'
    (3.890000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (3.890000) content/fetchers/curl.c:834 fetch_curl_done: done http://localhost/
    (3.890000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x82780140, url 'http://localhost/'
    (3.940000) content/content.c:82 content__init: url http://localhost/ -> 0x82780438
    (3.940000) render/html_css.c:543 html_css_new_stylesheets: 2 fetches active
    (3.940000) render/html_css.c:557 html_css_new_stylesheets: 3 fetches active
    (3.940000) render/html_css.c:570 html_css_new_stylesheets: 4 fetches active
    (3.940000) content/content.c:664 content_add_user: content http://localhost/ (0x82780438), user 0xcf4a8 0x8272eac0
    (3.940000) content/content.c:82 content__init: url file:///NetSurf:/Resources/icons/arrow-l.png -> 0x82789010
    (3.940000) content/content.c:664 content_add_user: content file:///NetSurf:/Resources/icons/arrow-l.png (0x82789010), user 0xcf4a8 0x8266f4e8
    (3.940000) image/png.c:175 info_callback: size 17 * 17, rowbytes 68
    (3.940000) content/content.c:282 content_convert: content file:///NetSurf:/Resources/icons/arrow-l.png (0x82789010)
    (3.940000) image/image_cache.c:474 image_cache_add: centry 0x827938b0, content 0x82789010, bitmap 0x82780060
    (4.040000) javascript/duktape/dukky.c:350 js_newcompartment: Yay, new compartment, win_priv=0x827210f0, doc_priv=0x82780438
    (4.040000) javascript/duktape/dukky.c:81 dukky_create_object: name=NETSURF_DUKTAPE_PROTOTYPE_WINDOW nargs=2
    (4.040000) javascript/duktape/dukky.c:73 dukky_populate_object: Call the init function
    (4.040000) Window.bnd:26 dukky_window___init: win=0x827210f0 htmlc=0x82780438
    (4.050000) Window.bnd:28 dukky_window___init: URL is http://localhost/
    (4.050000) javascript/duktape/dukky.c:102 dukky_create_object: created
    (4.050000) render/html.c:680 dom_default_action_DOMNodeInserted_cb: javascript context 0x82721060 
    (4.050000) desktop/browser.c:1178 browser_window_update_favicon: fetching favicon rel:shortcut icon 'http://localhost/MakeIndex/Iyonix.ico'
    (4.050000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (4.050000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x8278b840, url 'http://localhost/MakeIndex/Iyonix.ico'
    (4.060000) render/html_css.c:400 html_css_process_link: linked stylesheet 4 'http://localhost/MakeIndex/index.css'
    (4.060000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (4.060000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x8278c3c0, url 'http://localhost/MakeIndex/index.css'
    (4.060000) render/html_css.c:434 html_css_process_link: 5 fetches active
    (4.170000) content/content.c:282 content_convert: content http://localhost/ (0x82780438)
    (4.170000) render/html_css.c:499 html_css_quirks_stylesheets: 6 fetches active
    (4.170000) render/html.c:1129 html_convert: quirks set to 2
    (4.170000) render/html.c:1133 html_convert: 5 fetches active
    (4.200000) content/content.c:82 content__init: url file:///NetSurf:/Resources/icons/content.png -> 0x827c1ad0
    (4.200000) content/content.c:664 content_add_user: content file:///NetSurf:/Resources/icons/content.png (0x827c1ad0), user 0xcf4a8 0x8266fbc0
    (4.200000) image/png.c:175 info_callback: size 17 * 17, rowbytes 68
    (4.200000) content/content.c:282 content_convert: content file:///NetSurf:/Resources/icons/content.png (0x827c1ad0)
    (4.200000) image/image_cache.c:474 image_cache_add: centry 0x827c19b0, content 0x827c1ad0, bitmap 0x827c1aa0
    (4.210000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (4.210000) content/fetchers/curl.c:834 fetch_curl_done: done http://localhost/MakeIndex/Iyonix.ico
    (4.210000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x8278b840, url 'http://localhost/MakeIndex/Iyonix.ico'
    (4.230000) content/content.c:82 content__init: url http://localhost/MakeIndex/Iyonix.ico -> 0x827c2870
    (4.230000) content/content.c:664 content_add_user: content http://localhost/MakeIndex/Iyonix.ico (0x827c2870), user 0xcf4a8 0x8273efa0
    (4.230000) content/content.c:82 content__init: url file:///NetSurf:/Resources/icons/directory.png -> 0x827c1d50
    (4.230000) content/content.c:664 content_add_user: content file:///NetSurf:/Resources/icons/directory.png (0x827c1d50), user 0xcf4a8 0x826708c0
    (4.230000) image/png.c:175 info_callback: size 17 * 17, rowbytes 68
    (4.230000) content/content.c:282 content_convert: content file:///NetSurf:/Resources/icons/directory.png (0x827c1d50)
    (4.230000) image/image_cache.c:474 image_cache_add: centry 0x827c0dc8, content 0x827c1d50, bitmap 0x82782fa0
    (4.230000) content/content.c:282 content_convert: content http://localhost/MakeIndex/Iyonix.ico (0x827c2870)
    (4.240000) image/ico.c:197 nsico_redraw: Decoding bitmap
    (4.240000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (4.240000) content/fetchers/curl.c:834 fetch_curl_done: done http://localhost/MakeIndex/index.css
    (4.240000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x8278c3c0, url 'http://localhost/MakeIndex/index.css'
    (4.260000) content/content.c:82 content__init: url http://localhost/MakeIndex/index.css -> 0x827c1fd0
    (4.260000) content/content.c:664 content_add_user: content http://localhost/MakeIndex/index.css (0x827c1fd0), user 0xcf4a8 0x8272c488
    (4.260000) content/content.c:282 content_convert: content http://localhost/MakeIndex/index.css (0x827c1fd0)
    (4.260000) render/html_css.c:104 html_convert_css_callback: done stylesheet slot 4 'http://localhost/MakeIndex/index.css'
    (4.260000) render/html_css.c:106 html_convert_css_callback: 4 fetches active
    (4.270000) content/content.c:82 content__init: url file:///NetSurf:/Resources/icons/directory2.png -> 0x8279a2f8
    (4.270000) content/content.c:664 content_add_user: content file:///NetSurf:/Resources/icons/directory2.png (0x8279a2f8), user 0xcf4a8 0x82670a28
    (4.270000) image/png.c:175 info_callback: size 17 * 17, rowbytes 68
    (4.270000) content/content.c:282 content_convert: content file:///NetSurf:/Resources/icons/directory2.png (0x8279a2f8)
    (4.270000) image/image_cache.c:474 image_cache_add: centry 0x8279eb80, content 0x8279a2f8, bitmap 0x827c0cc0
    (4.290000) content/content.c:82 content__init: url file:///NetSurf:/Resources/icons/search.png -> 0x8279a638
    (4.290000) content/content.c:664 content_add_user: content file:///NetSurf:/Resources/icons/search.png (0x8279a638), user 0xcf4a8 0x82670c10
    (4.300000) image/png.c:175 info_callback: size 17 * 17, rowbytes 68
    (4.300000) content/content.c:282 content_convert: content file:///NetSurf:/Resources/icons/search.png (0x8279a638)
    (4.300000) image/image_cache.c:474 image_cache_add: centry 0x826dceb0, content 0x8279a638, bitmap 0x8279e968
    (4.310000) content/content.c:82 content__init: url file:///NetSurf:/Resources/icons/hotlist-add.png -> 0x8279c338
    (4.310000) content/content.c:664 content_add_user: content file:///NetSurf:/Resources/icons/hotlist-add.png (0x8279c338), user 0xcf4a8 0x826dcd88
    (4.320000) image/png.c:175 info_callback: size 17 * 17, rowbytes 68
    (4.320000) content/content.c:282 content_convert: content file:///NetSurf:/Resources/icons/hotlist-add.png (0x8279c338)
    (4.320000) image/image_cache.c:474 image_cache_add: centry 0x826dd040, content 0x8279c338, bitmap 0x8279a5e0
    (4.330000) content/content.c:82 content__init: url file:///NetSurf:/Resources/icons/hotlist-rmv.png -> 0x8279b5c0
    (4.340000) content/content.c:664 content_add_user: content file:///NetSurf:/Resources/icons/hotlist-rmv.png (0x8279b5c0), user 0xcf4a8 0x826dc5f0
    (4.340000) image/png.c:175 info_callback: size 17 * 17, rowbytes 68
    (4.340000) content/content.c:282 content_convert: content file:///NetSurf:/Resources/icons/hotlist-rmv.png (0x8279b5c0)
    (4.340000) image/image_cache.c:474 image_cache_add: centry 0x8279c5b8, content 0x8279b5c0, bitmap 0x8279e750
    (4.380000) content/content.c:82 content__init: url file:///NetSurf:/Resources/CSS -> 0x8279a8b8
    (4.380000) content/content.c:664 content_add_user: content file:///NetSurf:/Resources/CSS (0x8279a8b8), user 0xcf4a8 0x8276d728
    (4.400000) content/content.c:282 content_convert: content file:///NetSurf:/Resources/CSS (0x8279a8b8)
    (4.400000) render/html_css.c:104 html_convert_css_callback: done stylesheet slot 0 'file:///NetSurf:/Resources/CSS'
    (4.400000) render/html_css.c:106 html_convert_css_callback: 3 fetches active
    (4.440000) content/content.c:82 content__init: url file:///NetSurf:/Resources/AdBlock -> 0x827aa3b8
    (4.440000) content/content.c:664 content_add_user: content file:///NetSurf:/Resources/AdBlock (0x827aa3b8), user 0xcf4a8 0x8274a678
    (4.460000) content/content.c:282 content_convert: content file:///NetSurf:/Resources/AdBlock (0x827aa3b8)
    (4.460000) render/html_css.c:104 html_convert_css_callback: done stylesheet slot 2 'file:///NetSurf:/Resources/AdBlock'
    (4.460000) render/html_css.c:106 html_convert_css_callback: 2 fetches active
    (4.470000) render/html_css.c:110 html_convert_css_callback: stylesheet file:///Choices:WWW/NetSurf/User failed: UnacceptableType
    (4.470000) render/html_css.c:114 html_convert_css_callback: 1 fetches active
    (4.490000) content/content.c:82 content__init: url file:///NetSurf:/Resources/Quirks -> 0x827a46f8
    (4.490000) content/content.c:664 content_add_user: content file:///NetSurf:/Resources/Quirks (0x827a46f8), user 0xcf4a8 0x827c0340
    (4.490000) content/content.c:282 content_convert: content file:///NetSurf:/Resources/Quirks (0x827a46f8)
    (4.490000) render/html_css.c:104 html_convert_css_callback: done stylesheet slot 1 'file:///NetSurf:/Resources/Quirks'
    (4.490000) render/html_css.c:106 html_convert_css_callback: 0 fetches active
    (4.490000) render/html.c:1186 html_begin_conversion: Completing parse
    (4.500000) javascript/duktape/dukky.c:414 js_fire_event: Oh dear, an event: load
    (4.500000) render/html.c:598 html_finish_conversion: DOM to box (0x82780438)
    (4.680000) render/html.c:110 html_box_convert_done: Done XML to box (0x82780438)
    (4.680000) content/content.c:361 content__reformat: 0x82780438 http://localhost/
    (4.700000) content/content.c:804 content_open: content 0x82780438 http://localhost/
    (4.700000) desktop/browser_history.c:519 browser_window_history_add: Creating thumbnail for http://localhost/
    (4.700000) riscos/bitmap.c:795 riscos_bitmap_render: content 0x8272eac0 in bitmap 0x827802e8
    (4.700000) content/content.c:599 content_scaled_redraw: Content 0x82780438 100x86 ctx:0x709938
    (4.710000) content/urldb.c:3067 urldb_set_thumbnail: Setting bitmap on http://localhost/
    (4.720000) desktop/browser.c:1178 browser_window_update_favicon: fetching favicon rel:shortcut icon 'http://localhost/MakeIndex/Iyonix.ico'
    (4.720000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x82789398, url 'http://localhost/MakeIndex/Iyonix.ico'
    (4.720000) riscos/bitmap.c:795 riscos_bitmap_render: content 0x8272eac0 in bitmap 0x827802e8
    (4.720000) content/content.c:599 content_scaled_redraw: Content 0x82780438 100x86 ctx:0x70994c
    (4.780000) content/fetchers/curl.c:834 fetch_curl_done: done http://localhost/MakeIndex/Iyonix.ico
    (4.780000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 304
    (4.780000) content/fetchers/curl.c:679 fetch_curl_abort: fetch 0x82789398, url 'http://localhost/MakeIndex/Iyonix.ico'
    (4.780000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x82789398, url 'http://localhost/MakeIndex/Iyonix.ico'
    (4.790000) content/content.c:664 content_add_user: content http://localhost/MakeIndex/Iyonix.ico (0x827c2870), user 0xcf4a8 0x82780790
    (4.790000) content/content.c:820 content_close: content 0x827c2870 http://localhost/MakeIndex/Iyonix.ico
    (4.790000) content/content.c:690 content_remove_user: content http://localhost/MakeIndex/Iyonix.ico (0x827c2870), user 0xcf4a8 0x8273efa0
    (8.350000) riscos/wimp_event.c:1619 ro_gui_wimp_event_get_window: Creating structure for window 0x205d2a79
    (9.580000) riscos/wimp_event.c:1078 ro_gui_wimp_event_close_window: Close event received for window 0x205d2a79
    (9.580000) riscos/wimp_event.c:297 ro_gui_wimp_event_finalise: Removing all events for window 0x205d2a79
    (11.270000) riscos/wimp_event.c:1078 ro_gui_wimp_event_close_window: Close event received for window 0x202c1c99
    (23.100000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/'
    (23.980000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/e'
    (24.220000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en'
    (24.500000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-'
    (25.140000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-G'
    (25.540000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB'
    (26.360000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/'
    (26.860000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/s'
    (27.100000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/sc'
    (27.370000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scr'
    (27.610000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scra'
    (27.840000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scrat'
    (28.140000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratc'
    (28.280000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch'
    (29.130000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/'
    (29.740000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/r'
    (29.900000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/ro'
    (30.080000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/roc'
    (30.190000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock'
    (30.850000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-'
    (31.560000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-b'
    (31.710000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-ba'
    (31.830000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-ban'
    (32.400000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (33.270000) desktop/browser.c:1936 browser_window_navigate: bw 0x827210f0, url http://codeclubprojects/en-GB/scratch/rock-band
    (33.270000) desktop/browser.c:2035 browser_window_navigate: Loading 'http://codeclubprojects/en-GB/scratch/rock-band'
    (33.270000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (33.270000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x827c5c18, url 'http://codeclubprojects/en-GB/scratch/rock-band'
    (33.440000) content/fetchers/curl.c:834 fetch_curl_done: done http://codeclubprojects/en-GB/scratch/rock-band
    (33.440000) content/fetchers/curl.c:872 fetch_curl_done: Unknown cURL response code 6
    (33.440000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x827c5c18, url 'http://codeclubprojects/en-GB/scratch/rock-band'
    (33.440000) riscos/gui.c:2072 warn_user: Couldn't resolve host name (null)
    (36.860000) riscos/wimp_event.c:1078 ro_gui_wimp_event_close_window: Close event received for window 0x202bfe99
    (44.520000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (44.780000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (45.590000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (45.980000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (46.380000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (46.740000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (47.000000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (47.260000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (47.600000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (47.830000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (48.180000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (49.390000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (49.780000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (50.010000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (50.250000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (50.560000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (51.030000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (51.280000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (51.490000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (51.790000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects/en-GB/scratch/rock-band'
    (53.220000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects./en-GB/scratch/rock-band'
    (53.550000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects.o/en-GB/scratch/rock-band'
    (53.710000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects.or/en-GB/scratch/rock-band'
    (53.990000) content/urldb.c:567 urldb__host_is_ip_address: WARNING: called with non-host 'codeclubprojects.org/en-GB/scratch/rock-band'
    (54.500000) desktop/browser.c:1936 browser_window_navigate: bw 0x827210f0, url https://codeclubprojects.org/en-GB/scratch/rock-band
    (54.500000) desktop/browser.c:2035 browser_window_navigate: Loading 'https://codeclubprojects.org/en-GB/scratch/rock-band'
    (54.500000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (54.510000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x827c5c18, url 'https://codeclubprojects.org/en-GB/scratch/rock-band'
    (55.520000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 301
    (55.520000) content/fetchers/curl.c:778 fetch_curl_process_headers: FETCH_REDIRECT, 'https://codeclubprojects.org/en-GB/scratch/rock-band/'
    (55.520000) content/fetchers/curl.c:679 fetch_curl_abort: fetch 0x827c5c18, url 'https://codeclubprojects.org/en-GB/scratch/rock-band'
    (55.520000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (55.520000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x828c09a8, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/'
    (55.560000) content/fetchers/curl.c:834 fetch_curl_done: done https://codeclubprojects.org/en-GB/scratch/rock-band
    (55.560000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x827c5c18, url 'https://codeclubprojects.org/en-GB/scratch/rock-band'
    (56.460000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (56.460000) content/fetchers/curl.c:834 fetch_curl_done: done https://codeclubprojects.org/en-GB/scratch/rock-band/
    (56.460000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x828c09a8, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/'
    (56.460000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/ -> 0x828630f0
    (56.460000) render/html_css.c:543 html_css_new_stylesheets: 2 fetches active
    (56.460000) render/html_css.c:557 html_css_new_stylesheets: 3 fetches active
    (56.460000) render/html_css.c:570 html_css_new_stylesheets: 4 fetches active
    (56.460000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/ (0x828630f0), user 0xcf4a8 0x827894c8
    (56.470000) javascript/duktape/dukky.c:350 js_newcompartment: Yay, new compartment, win_priv=0x827210f0, doc_priv=0x828630f0
    (56.470000) javascript/duktape/dukky.c:81 dukky_create_object: name=NETSURF_DUKTAPE_PROTOTYPE_WINDOW nargs=2
    (56.470000) javascript/duktape/dukky.c:73 dukky_populate_object: Call the init function
    (56.470000) Window.bnd:26 dukky_window___init: win=0x827210f0 htmlc=0x828630f0
    (56.470000) Window.bnd:28 dukky_window___init: URL is http://localhost/
    (56.470000) javascript/duktape/dukky.c:102 dukky_create_object: created
    (56.470000) render/html.c:680 dom_default_action_DOMNodeInserted_cb: javascript context 0x82721060 
    (56.480000) render/html_css.c:400 html_css_process_link: linked stylesheet 4 'https://codeclubprojects.org/assets/main-c4f81aee6d1ee6cccc64dd6d9f479ee3.css'
    (56.480000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.480000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x828521f0, url 'https://codeclubprojects.org/assets/main-c4f81aee6d1ee6cccc64dd6d9f479ee3.css'
    (56.480000) render/html_css.c:434 html_css_process_link: 5 fetches active
    (56.490000) desktop/browser.c:1178 browser_window_update_favicon: fetching favicon rel:shortcut icon 'https://codeclubprojects.org/public/images/favicon.ico'
    (56.490000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.490000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x828524b8, url 'https://codeclubprojects.org/public/images/favicon.ico'
    (56.510000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.510000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x828e7640, url 'https://codeclubprojects.org/public/images/nav/logo.svg'
    (56.590000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.590000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x82905060, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-final.png'
    (56.600000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.600000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x82918ed0, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-scratch.png'
    (56.610000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.610000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x8292b890, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-delete.png'
    (56.620000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.620000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x8293e208, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-sprite-library.png'
    (56.630000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.630000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x82950bc0, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-sprite-drum.png'
    (56.630000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.630000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x82963530, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-shrink.png'
    (56.650000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.650000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x829766e8, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-save.png'
    (56.660000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.660000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x8298a3f8, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-stage-choose.png'
    (56.670000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.670000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x8298afc0, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-backdrop.png'
    (56.670000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.670000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x8298bb58, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-stage.png'
    (56.690000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.690000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x8298d920, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-code.png'
    (56.690000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.690000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x8298e7a8, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-costume.png'
    (56.700000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.700000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x8298f368, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-duplicate.png'
    (56.700000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.700000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x8298ff90, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-hit.png'
    (56.710000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.710000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x82990bc8, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-name.png'
    (56.720000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.720000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x829917b8, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-looks.png'
    (56.730000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.730000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x82993950, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-sound.png'
    (56.740000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.740000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x82994f38, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-duplicate-code.png'
    (56.760000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.760000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x82997058, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-singer-mic.png'
    (56.760000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.760000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x82997cc8, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-import-sound.png'
    (56.770000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.770000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x829988d8, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-choose-sound.png'
    (56.780000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.780000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x8299a9b0, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-singer-final.png'
    (56.800000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.800000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x8299c358, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-ideas.png'
    (56.800000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.800000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x8299cee0, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-piano.png'
    (56.810000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.810000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x8299da38, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-draw.png'
    (56.810000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (56.810000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x8299e598, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-io.png'
    (56.880000) content/content.c:282 content_convert: content https://codeclubprojects.org/en-GB/scratch/rock-band/ (0x828630f0)
    (56.880000) render/html.c:1129 html_convert: quirks set to 0
    (56.880000) render/html.c:1133 html_convert: 4 fetches active
    (56.940000) content/content.c:82 content__init: url file:///NetSurf:/Resources/CSS -> 0x829ad050
    (56.950000) content/content.c:664 content_add_user: content file:///NetSurf:/Resources/CSS (0x829ad050), user 0xcf4a8 0x828c0a80
    (56.970000) content/content.c:282 content_convert: content file:///NetSurf:/Resources/CSS (0x829ad050)
    (56.970000) render/html_css.c:104 html_convert_css_callback: done stylesheet slot 0 'file:///NetSurf:/Resources/CSS'
    (56.970000) render/html_css.c:106 html_convert_css_callback: 3 fetches active
    (59.870000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (61.420000) content/content.c:82 content__init: url https://codeclubprojects.org/assets/main-c4f81aee6d1ee6cccc64dd6d9f479ee3.css -> 0x83119a40
    (61.420000) content/content.c:664 content_add_user: content https://codeclubprojects.org/assets/main-c4f81aee6d1ee6cccc64dd6d9f479ee3.css (0x83119a40), user 0xcf4a8 0x828520d0
    (61.770000) content/content.c:82 content__init: url file:///NetSurf:/Resources/AdBlock -> 0x831ae780
    (61.770000) content/content.c:664 content_add_user: content file:///NetSurf:/Resources/AdBlock (0x831ae780), user 0xcf4a8 0x8284e3c8
    (61.790000) content/content.c:282 content_convert: content file:///NetSurf:/Resources/AdBlock (0x831ae780)
    (61.790000) render/html_css.c:104 html_convert_css_callback: done stylesheet slot 2 'file:///NetSurf:/Resources/AdBlock'
    (61.790000) render/html_css.c:106 html_convert_css_callback: 2 fetches active
    (61.930000) content/fetchers/curl.c:834 fetch_curl_done: done https://codeclubprojects.org/assets/main-c4f81aee6d1ee6cccc64dd6d9f479ee3.css
    (61.930000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x828521f0, url 'https://codeclubprojects.org/assets/main-c4f81aee6d1ee6cccc64dd6d9f479ee3.css'
    (61.940000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (61.960000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (61.960000) content/fetchers/curl.c:834 fetch_curl_done: done https://codeclubprojects.org/public/images/favicon.ico
    (61.960000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x828524b8, url 'https://codeclubprojects.org/public/images/favicon.ico'
    (61.960000) content/fetchers/curl.c:834 fetch_curl_done: done https://codeclubprojects.org/public/images/nav/logo.svg
    (61.960000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x828e7640, url 'https://codeclubprojects.org/public/images/nav/logo.svg'
    (61.980000) content/content.c:82 content__init: url https://codeclubprojects.org/public/images/nav/logo.svg -> 0x82852480
    (61.980000) content/content.c:664 content_add_user: content https://codeclubprojects.org/public/images/nav/logo.svg (0x82852480), user 0xcf4a8 0x82900340
    (61.980000) content/content.c:282 content_convert: content https://codeclubprojects.org/public/images/nav/logo.svg (0x82852480)
    (61.980000) content/content.c:82 content__init: url https://codeclubprojects.org/public/images/nav/logo.svg -> 0x829a7080
    (61.980000) content/content.c:664 content_add_user: content https://codeclubprojects.org/public/images/nav/logo.svg (0x829a7080), user 0xcf4a8 0x828e7530
    (61.980000) content/content.c:282 content_convert: content https://codeclubprojects.org/public/images/nav/logo.svg (0x829a7080)
    (61.980000) content/content.c:82 content__init: url https://codeclubprojects.org/public/images/favicon.ico -> 0x83118a38
    (61.980000) content/content.c:664 content_add_user: content https://codeclubprojects.org/public/images/favicon.ico (0x83118a38), user 0xcf4a8 0x8287a580
    (62.400000) content/content.c:282 content_convert: content https://codeclubprojects.org/assets/main-c4f81aee6d1ee6cccc64dd6d9f479ee3.css (0x83119a40)
    (62.400000) render/html_css.c:104 html_convert_css_callback: done stylesheet slot 4 'https://codeclubprojects.org/assets/main-c4f81aee6d1ee6cccc64dd6d9f479ee3.css'
    (62.400000) render/html_css.c:106 html_convert_css_callback: 1 fetches active
    (62.400000) render/html_css.c:110 html_convert_css_callback: stylesheet file:///Choices:WWW/NetSurf/User failed: UnacceptableType
    (62.400000) render/html_css.c:114 html_convert_css_callback: 0 fetches active
    (62.400000) render/html.c:1186 html_begin_conversion: Completing parse
    (62.400000) javascript/duktape/dukky.c:414 js_fire_event: Oh dear, an event: load
    (62.400000) render/html.c:598 html_finish_conversion: DOM to box (0x828630f0)
    (62.420000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (62.430000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (62.440000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (62.450000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (62.460000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (62.480000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (62.490000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (62.500000) content/fetchers/curl.c:834 fetch_curl_done: done https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-delete.png
    (62.500000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x8292b890, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-delete.png'
    (62.510000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-save.png -> 0x83147b18
    (62.510000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-save.png (0x83147b18), user 0xcf4a8 0x82975fc0
    (62.510000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-shrink.png -> 0x831480c0
    (62.510000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-shrink.png (0x831480c0), user 0xcf4a8 0x82962e00
    (62.510000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-sprite-drum.png -> 0x83178760
    (62.520000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-sprite-drum.png (0x83178760), user 0xcf4a8 0x82950a48
    (62.520000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-sprite-library.png -> 0x83178e20
    (62.520000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-sprite-library.png (0x83178e20), user 0xcf4a8 0x8293e0b8
    (62.520000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-delete.png -> 0x831794e0
    (62.520000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-delete.png (0x831794e0), user 0xcf4a8 0x8292b160
    (62.520000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-scratch.png -> 0x83179ba0
    (62.520000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-scratch.png (0x83179ba0), user 0xcf4a8 0x82918d70
    (62.520000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-final.png -> 0x8317a260
    (62.520000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-final.png (0x8317a260), user 0xcf4a8 0x829044e0
    (62.520000) content/content.c:282 content_convert: content https://codeclubprojects.org/public/images/favicon.ico (0x83118a38)
    (62.520000) content/content.c:820 content_close: content 0x827c2870 http://localhost/MakeIndex/Iyonix.ico
    (62.520000) content/content.c:690 content_remove_user: content http://localhost/MakeIndex/Iyonix.ico (0x827c2870), user 0xcf4a8 0x82780790
    (62.540000) image/ico.c:197 nsico_redraw: Decoding bitmap
    (62.580000) content/content.c:282 content_convert: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-delete.png (0x831794e0)
    (62.580000) image/image_cache.c:474 image_cache_add: centry 0x831c07f8, content 0x831794e0, bitmap 0x0
    (62.640000) render/html_object.c:713 html_fetch_object: 1 fetches active
    (62.650000) content/content.c:82 content__init: url https://codeclubprojects.org/public/images/nav/logo.svg -> 0x82932f80
    (62.650000) content/content.c:664 content_add_user: content https://codeclubprojects.org/public/images/nav/logo.svg (0x82932f80), user 0xcf4a8 0x828e6390
    (62.660000) content/content.c:282 content_convert: content https://codeclubprojects.org/public/images/nav/logo.svg (0x82932f80)
    (62.660000) content/content.c:361 content__reformat: 0x82932f80 https://codeclubprojects.org/public/images/nav/logo.svg
    (62.670000) render/html_object.c:161 html_object_callback: 0 fetches active
    (62.690000) content/fetchers/curl.c:834 fetch_curl_done: done https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-sprite-drum.png
    (62.690000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x82950bc0, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-sprite-drum.png'
    (62.710000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (62.710000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x830d6978, url 'https://codeclubprojects.org/en-GB/scratch/large_banner.png'
    (62.710000) render/html_object.c:713 html_fetch_object: 1 fetches active
    (62.720000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (62.720000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x830d5118, url 'https://codeclubprojects.org/public/images/icons/png/icons_arrow-left.png'
    (62.720000) render/html_object.c:713 html_fetch_object: 2 fetches active
    (62.730000) content/content.c:282 content_convert: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-sprite-drum.png (0x83178760)
    (62.730000) image/image_cache.c:474 image_cache_add: centry 0x83178a50, content 0x83178760, bitmap 0x0
    (62.740000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (62.740000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x830d6610, url 'https://codeclubprojects.org/public/images/icons/png/icons_document.png'
    (62.740000) render/html_object.c:713 html_fetch_object: 3 fetches active
    (62.750000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (62.750000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x831bf2a0, url 'https://codeclubprojects.org/public/images/icons/png/icons_download.png'
    (62.750000) render/html_object.c:713 html_fetch_object: 4 fetches active
    (62.760000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (62.760000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x831c0120, url 'https://codeclubprojects.org/public/images/icons/png/icons_document-copy.png'
    (62.760000) render/html_object.c:713 html_fetch_object: 5 fetches active
    (62.780000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (62.780000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x831442a0, url 'https://codeclubprojects.org/public/images/icons/png/icons_sample-tag.png'
    (62.780000) render/html_object.c:713 html_fetch_object: 6 fetches active
    (62.840000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (62.850000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (62.860000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (62.890000) content/llcache.c:1355 llcache_process_metadata: Retriving metadata
    (62.900000) content/fetchers/curl.c:280 fetch_curl_setup: fetch 0x8323c228, url 'https://codeclubprojects.org/public/images/icons/check.png'
    (62.900000) render/html_object.c:713 html_fetch_object: 7 fetches active
    (62.910000) render/html_object.c:713 html_fetch_object: 8 fetches active
    (62.920000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-stage.png -> 0x8323ed08
    (62.920000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-stage.png (0x8323ed08), user 0xcf4a8 0x8298b430
    (62.920000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-backdrop.png -> 0x8323f3e8
    (62.920000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-backdrop.png (0x8323f3e8), user 0xcf4a8 0x8298ae60
    (62.920000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-stage-choose.png -> 0x8323fac8
    (62.920000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-stage-choose.png (0x8323fac8), user 0xcf4a8 0x8298a278
    (62.930000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-scratch.png (0x83179ba0), user 0xcf4a8 0x8323e3e0
    (62.980000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (62.990000) content/fetchers/curl.c:834 fetch_curl_done: done https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-sprite-library.png
    (62.990000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x8293e208, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-sprite-library.png'
    (62.990000) render/html_object.c:713 html_fetch_object: 9 fetches active
    (62.1000000) render/html_object.c:713 html_fetch_object: 10 fetches active
    (63.010000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-costume.png -> 0x8322fcc8
    (63.010000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-costume.png (0x8322fcc8), user 0xcf4a8 0x8298e628
    (63.010000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-sprite-library.png (0x83178e20), user 0xcf4a8 0x8322f438
    (63.010000) content/content.c:282 content_convert: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-sprite-library.png (0x83178e20)
    (63.020000) image/image_cache.c:474 image_cache_add: centry 0x828e5cc8, content 0x83178e20, bitmap 0x0
    (63.020000) render/html_object.c:161 html_object_callback: 9 fetches active
    (63.020000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-delete.png (0x831794e0), user 0xcf4a8 0x8293e0f8
    (63.020000) render/html_object.c:161 html_object_callback: 8 fetches active
    (63.090000) render/html_object.c:713 html_fetch_object: 9 fetches active
    (63.090000) render/html_object.c:713 html_fetch_object: 10 fetches active
    (63.100000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-shrink.png (0x831480c0), user 0xcf4a8 0x83210058
    (63.100000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-sprite-drum.png (0x83178760), user 0xcf4a8 0x83179468
    (63.100000) render/html_object.c:161 html_object_callback: 9 fetches active
    (63.140000) render/html_object.c:713 html_fetch_object: 10 fetches active
    (63.150000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-save.png (0x83147b18), user 0xcf4a8 0x83210ec0
    (63.230000) render/html_object.c:713 html_fetch_object: 11 fetches active
    (63.240000) render/html_object.c:713 html_fetch_object: 12 fetches active
    (63.250000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-stage-choose.png (0x8323fac8), user 0xcf4a8 0x8292d150
    (63.270000) render/html_object.c:713 html_fetch_object: 13 fetches active
    (63.280000) render/html_object.c:713 html_fetch_object: 14 fetches active
    (63.290000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-stage.png (0x8323ed08), user 0xcf4a8 0x8292f438
    (63.290000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-backdrop.png (0x8323f3e8), user 0xcf4a8 0x832144c8
    (63.300000) render/html_object.c:713 html_fetch_object: 15 fetches active
    (63.310000) render/html_object.c:713 html_fetch_object: 16 fetches active
    (63.330000) render/html_object.c:713 html_fetch_object: 17 fetches active
    (63.380000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (63.430000) content/fetchers/curl.c:834 fetch_curl_done: done https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-stage-choose.png
    (63.430000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x8298a3f8, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-stage-choose.png'
    (63.430000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-costume.png (0x8322fcc8), user 0xcf4a8 0x8325ea38
    (63.430000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-code.png -> 0x83122168
    (63.430000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-code.png (0x83122168), user 0xcf4a8 0x8325c7e0
    (63.430000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-code.png (0x83122168), user 0xcf4a8 0x8298d1f8
    (63.440000) content/content.c:282 content_convert: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-stage-choose.png (0x8323fac8)
    (63.440000) image/image_cache.c:474 image_cache_add: centry 0x83260440, content 0x8323fac8, bitmap 0x0
    (63.440000) render/html_object.c:161 html_object_callback: 16 fetches active
    (63.450000) render/html_object.c:713 html_fetch_object: 17 fetches active
    (63.460000) render/html_object.c:713 html_fetch_object: 18 fetches active
    (63.500000) content/fetchers/curl.c:834 fetch_curl_done: done https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-save.png
    (63.500000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x829766e8, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-save.png'
    (63.510000) render/html_object.c:713 html_fetch_object: 19 fetches active
    (63.520000) render/html_object.c:713 html_fetch_object: 20 fetches active
    (63.530000) content/content.c:282 content_convert: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-save.png (0x83147b18)
    (63.530000) image/image_cache.c:474 image_cache_add: centry 0x830d4430, content 0x83147b18, bitmap 0x0
    (63.530000) render/html_object.c:161 html_object_callback: 19 fetches active
    (63.580000) render/html_object.c:713 html_fetch_object: 20 fetches active
    (63.630000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (63.640000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (63.690000) render/html_object.c:713 html_fetch_object: 21 fetches active
    (63.700000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-hit.png -> 0x828e4678
    (63.700000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-hit.png (0x828e4678), user 0xcf4a8 0x82851bf0
    (63.700000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-hit.png (0x828e4678), user 0xcf4a8 0x8298fe30
    (63.700000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-duplicate.png -> 0x828e4d38
    (63.700000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-duplicate.png (0x828e4d38), user 0xcf4a8 0x829aa4e0
    (63.700000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-duplicate.png (0x828e4d38), user 0xcf4a8 0x8298f218
    (63.760000) render/html_object.c:713 html_fetch_object: 22 fetches active
    (63.840000) content/fetchers/curl.c:834 fetch_curl_done: done https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-shrink.png
    (63.840000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x82963530, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-shrink.png'
    (63.850000) content/fetchers/curl.c:834 fetch_curl_done: done https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-duplicate.png
    (63.850000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x8298f368, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-duplicate.png'
    (63.860000) render/html_object.c:713 html_fetch_object: 23 fetches active
    (63.870000) render/html_object.c:713 html_fetch_object: 24 fetches active
    (63.880000) content/content.c:282 content_convert: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-duplicate.png (0x828e4d38)
    (63.880000) image/image_cache.c:474 image_cache_add: centry 0x83179250, content 0x828e4d38, bitmap 0x0
    (63.880000) render/html_object.c:161 html_object_callback: 23 fetches active
    (63.880000) content/content.c:282 content_convert: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-shrink.png (0x831480c0)
    (63.880000) image/image_cache.c:474 image_cache_add: centry 0x828e5648, content 0x831480c0, bitmap 0x0
    (63.880000) render/html_object.c:161 html_object_callback: 22 fetches active
    (63.950000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (63.990000) render/html_object.c:713 html_fetch_object: 23 fetches active
    (63.1000000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-name.png -> 0x831b8ef0
    (64.010000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-name.png (0x831b8ef0), user 0xcf4a8 0x829acc98
    (64.010000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-name.png (0x831b8ef0), user 0xcf4a8 0x82990a60
    (64.020000) content/fetchers/curl.c:834 fetch_curl_done: done https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-name.png
    (64.020000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x82990bc8, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-name.png'
    (64.040000) render/html_object.c:713 html_fetch_object: 24 fetches active
    (64.050000) content/content.c:282 content_convert: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-name.png (0x831b8ef0)
    (64.050000) image/image_cache.c:474 image_cache_add: centry 0x831bb290, content 0x831b8ef0, bitmap 0x0
    (64.050000) render/html_object.c:161 html_object_callback: 23 fetches active
    (64.070000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (64.090000) render/html_object.c:713 html_fetch_object: 24 fetches active
    (64.090000) render/html_object.c:713 html_fetch_object: 25 fetches active
    (64.100000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-looks.png -> 0x831be0d8
    (64.100000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-looks.png (0x831be0d8), user 0xcf4a8 0x828c59e0
    (64.100000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-looks.png (0x831be0d8), user 0xcf4a8 0x82991090
    (64.160000) render/html_object.c:713 html_fetch_object: 26 fetches active
    (64.170000) render/html_object.c:713 html_fetch_object: 27 fetches active
    (64.250000) content/fetchers/curl.c:767 fetch_curl_process_headers: HTTP status code 200
    (64.250000) content/fetchers/curl.c:834 fetch_curl_done: done https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-code.png
    (64.250000) content/fetchers/curl.c:699 fetch_curl_stop: fetch 0x8298d920, url 'https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-code.png'
    (64.310000) content/content.c:82 content__init: url https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-sound.png -> 0x829362e8
    (64.310000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-sound.png (0x829362e8), user 0xcf4a8 0x8321a390
    (64.310000) content/content.c:664 content_add_user: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-drum-sound.png (0x829362e8), user 0xcf4a8 0x829937e8
    (64.310000) content/content.c:282 content_convert: content https://codeclubprojects.org/en-GB/scratch/rock-band/images/band-code.png (0x83122168)
    (64.320000) image/image_cache.c:474 image_cache_add: centry 0x83214fc8, content 0x83122168, bitmap 0x0
    (64.320000) render/html_object.c:161 html_object_callback: 26 fetches active
    (64.490000) render/html.c:110 html_box_convert_done: Done XML to box (0x828630f0)
    (64.490000) content/content.c:820 content_close: content 0x82780438 http://localhost/
    (64.490000) content/content.c:690 content_remove_user: content http://localhost/ (0x82780438), user 0xcf4a8 0x8272eac0
    (64.490000) content/content.c:361 content__reformat: 0x828630f0 https://codeclubprojects.org/en-GB/scratch/rock-band/
    
    "render/layout.c", line 5129: layout_calculate_descendant_bboxes: Assertion failed: (box->width != UNKNOWN_WIDTH) && (box->height != AUTO)
    http_proxy:0
    http_proxy_host:
    http_proxy_port:8080
    http_proxy_auth:0
    http_proxy_auth_user:
    http_proxy_auth_pass:
    http_proxy_noproxy:localhost
    font_size:120
    font_min_size:120
    font_sans:Homerton
    font_serif:Trinity
    font_mono:Corpus
    font_cursive:Sassoon
    font_fantasy:Pembroke
    accept_language:en
    accept_charset:
    memory_cache_size:42047897
    disc_cache_size:0
    disc_cache_age:1
    block_advertisements:1
    do_not_track:0
    minimum_gif_delay:10
    send_referer:1
    foreground_images:1
    background_images:1
    animate_images:1
    enable_javascript:0
    script_timeout:10
    expire_url:28
    font_default:0
    ca_bundle:NetSurf:Resources.ca-bundle
    ca_path:
    cookie_file:NetSurf:Cookies
    cookie_jar:<Choices$Write>.WWW.NetSurf.Cookies
    homepage_url:http://localhost/
    search_url_bar:0
    search_provider:0
    url_suggestion:1
    window_x:82
    window_y:40
    window_width:1794
    window_height:2020
    window_screen_width:0
    window_screen_height:0
    toolbar_status_size:5000
    scale:150
    incremental_reflow:1
    min_reflow_period:100
    core_select_menu:0
    display_decoded_idn:0
    max_fetchers:20
    max_fetchers_per_host:10
    max_cached_fetch_handles:10
    max_retried_fetches:3
    curl_fetch_timeout:10
    suppress_curl_debug:1
    target_blank:1
    button_2_tab:1
    margin_top:10
    margin_bottom:10
    margin_left:10
    margin_right:10
    export_scale:70
    suppress_images:0
    remove_backgrounds:0
    enable_loosening:1
    enable_PDF_compression:1
    enable_PDF_password:0
    sys_colour_ActiveBorder:000000
    sys_colour_ActiveCaption:eeeebb
    sys_colour_AppWorkspace:dddddd
    sys_colour_Background:dddddd
    sys_colour_ButtonFace:dddddd
    sys_colour_ButtonHighlight:555555
    sys_colour_ButtonShadow:777777
    sys_colour_ButtonText:000000
    sys_colour_CaptionText:000000
    sys_colour_GrayText:999999
    sys_colour_Highlight:000000
    sys_colour_HighlightText:ffffff
    sys_colour_InactiveBorder:000000
    sys_colour_InactiveCaption:bbbbbb
    sys_colour_InactiveCaptionText:000000
    sys_colour_InfoBackground:eeeebb
    sys_colour_InfoText:000000
    sys_colour_Menu:ffffff
    sys_colour_MenuText:000000
    sys_colour_Scrollbar:bbbbbb
    sys_colour_ThreeDDarkShadow:777777
    sys_colour_ThreeDFace:dddddd
    sys_colour_ThreeDHighlight:ffffff
    sys_colour_ThreeDLightShadow:ffffff
    sys_colour_ThreeDShadow:777777
    sys_colour_Window:dddddd
    sys_colour_WindowFrame:000000
    sys_colour_WindowText:000000
    theme:Qute
    language:en
    plot_fg_quality:128
    plot_bg_quality:128
    history_tooltip:1
    toolbar_show_buttons:1
    toolbar_show_address:1
    toolbar_show_throbber:1
    toolbar_browser:0123|456|789a
    toolbar_hotlist:401|23
    toolbar_history:01|32
    toolbar_cookies:0|12
    window_stagger:0
    window_size_clone:0
    buffer_animations:1
    buffer_everything:0
    open_browser_at_startup:1
    no_plugins:1
    block_popups:1
    strip_extensions:1
    confirm_overwrite:1
    confirm_hotlist_remove:1
    url_path:NetSurf:URL
    url_save:<Choices$Write>.WWW.NetSurf.URL
    hotlist_path:NetSurf:Hotlist
    hotlist_save:<Choices$Write>.WWW.NetSurf.Hotlist
    recent_path:NetSurf:Recent
    recent_save:<Choices$Write>.WWW.NetSurf.Recent
    theme_path:NetSurf:Themes
    theme_save:<Choices$Write>.WWW.NetSurf.Themes
    thumbnail_iconise:1
    interactive_help:1
    external_hotlists:0
    external_hotlist_app:
    
    Fatal signal received: Aborted
    
    Stack backtrace:
    
    Running thread 0x702264
      (  7095f8) pc:   4dcea4 lr:   1860a0 sp:   7095fc  __write_backtrace()
      (  709620) pc:   186020 lr:   4dd7c8 sp:   709624  ro_gui_signal()
      (  709648) pc:   4dd7b0 lr:   4dd4a4 sp:   70964c  __unixlib_exec_sig()
      (  7096b8) pc:   4dcfbc lr:   521b04 sp:   7096bc  __unixlib_raise_signal()
      (  7096c8) pc:   521ae8 lr:   4e5468 sp:   7096cc  raise()
      (  7096dc) pc:   4e542c lr:   178238 sp:   7096e0  abort()
      (  7096f8) pc:   1781f4 lr:   172e9c sp:   7096fc  __assert2()
      (  70971c) pc:   172c28 lr:   172d18 sp:   709720  layout_calculate_descendant_bboxes()
      (  709740) pc:   172c28 lr:   172d18 sp:   709744  layout_calculate_descendant_bboxes()
      (  709764) pc:   172c28 lr:   172d18 sp:   709768  layout_calculate_descendant_bboxes()
      (  709788) pc:   172c28 lr:   172d18 sp:   70978c  layout_calculate_descendant_bboxes()
      (  7097ac) pc:   172c28 lr:   172d18 sp:   7097b0  layout_calculate_descendant_bboxes()
      (  7097d0) pc:   172c28 lr:   172d18 sp:   7097d4  layout_calculate_descendant_bboxes()
      (  7097f4) pc:   172c28 lr:   172d18 sp:   7097f8  layout_calculate_descendant_bboxes()
      (  709818) pc:   172c28 lr:   172d18 sp:   70981c  layout_calculate_descendant_bboxes()
      (  70983c) pc:   172c28 lr:   172d18 sp:   709840  layout_calculate_descendant_bboxes()
      (  709860) pc:   172c28 lr:   172d18 sp:   709864  layout_calculate_descendant_bboxes()
      (  709884) pc:   172c28 lr:   172d18 sp:   709888  layout_calculate_descendant_bboxes()
      (  7098a8) pc:   172c28 lr:   172d18 sp:   7098ac  layout_calculate_descendant_bboxes()
      (  7098cc) pc:   172c28 lr:   173038 sp:   7098d0  layout_calculate_descendant_bboxes()
      (  7098f4) pc:   172ecc lr:   159104 sp:   7098f8  layout_document()
      (  709914) pc:   1590d0 lr:    c2ce0 sp:   709918  html_reformat()
      (  70997c) pc:    c2c64 lr:    c2df8 sp:   709980  content__reformat()
      (  709998) pc:    c2dd0 lr:    ebd08 sp:   70999c  content_reformat()
      (  7099d8) pc:    ebc28 lr:    cf510 sp:   7099dc  browser_window_callback()
      (  709a20) pc:    cf4b8 lr:    c2a34 sp:   709a2c  hlcache_content_callback()
      (  709a70) pc:    c29c0 lr:    c2f00 sp:   709a7c  content_broadcast()
      (  709ad8) pc:    c2ea4 lr:   15c100 sp:   709adc  content_set_ready()
      (  709afc) pc:   15bf80 lr:   150b04 sp:   709b00  html_box_convert_done()
      (  709c80) pc:   14ffe0 lr:   199ccc sp:   709c84  convert_xml_to_box()
      (  709ca0) pc:   199c84 lr:     9fe0 sp:   709ca4  schedule_run()
      (  709fe8) pc:     9740 lr:   4ebb84 sp:   709fec  main()
    
    
    txt file icon Log.txt (68,856 bytes) 2015-11-11 17:58 +

-Relationships
+Relationships

-Notes
Bernard Boase

~0001077

Bernard Boase (reporter)

er...no, I have intermittent failures too using the ARMX6 5.23 as above.
Dave Higton

~0001079

Dave Higton (developer)

Happens with nsgtk (2015-11-05, built from standard about 21:30) too.
Michael Drake

~0001081

Michael Drake (administrator)

Last edited: 2015-11-11 23:26

View 2 revisions

From log:
"render/layout.c", line 5129: layout_calculate_descendant_bboxes: Assertion failed: (box->width != UNKNOWN_WIDTH) && (box->height != AUTO)

From nsgtk:
./nsgtk https://codeclubprojects.org/en-GB/scratch/rock-band
nsgtk: render/layout.c:5129: layout_calculate_descendant_bboxes: Assertion `box->width != 2147483647' failed.
Aborted (core dumped)

Vincent Sanders

~0001226

Vincent Sanders (administrator)

Confirmed fixed in 3.4 release
+Notes

-Issue History
Date Modified Username Field Change
2015-11-11 17:58 Bernard Boase New Issue
2015-11-11 17:58 Bernard Boase File Added: Log.txt
2015-11-11 19:52 Bernard Boase Note Added: 0001077
2015-11-11 21:04 Dave Higton Note Added: 0001079
2015-11-11 23:24 Michael Drake Note Added: 0001081
2015-11-11 23:26 Michael Drake Note Edited: 0001081 View Revisions
2015-11-11 23:27 Michael Drake Assigned To => Michael Drake
2015-11-11 23:27 Michael Drake Status new => confirmed
2015-11-11 23:27 Michael Drake Category RISC OS-specific => Layout
2015-11-11 23:27 Michael Drake Product Version => 3.4
2015-11-11 23:27 Michael Drake Target Version => 3.4
2015-11-11 23:27 Michael Drake Description Updated View Revisions
2016-02-09 16:55 Michael Drake Reported in CI build # => 3383
2016-02-09 16:55 Michael Drake Status confirmed => resolved
2016-02-09 16:55 Michael Drake Resolution open => fixed
2016-02-09 16:55 Michael Drake Fixed in Version => 3.4
2016-02-16 13:52 Vincent Sanders Note Added: 0001226
2016-02-16 13:52 Vincent Sanders Status resolved => closed
+Issue History